# netdata python.d.plugin configuration
#
# This file is in YaML format.
# Generally the format is:
#
# name: value
#

# Enable / disable the whole python.d.plugin (all its modules)
enabled: yes

# Prevent log flood
# Define how many log messages can be written to log file in one log_interval
logs_per_interval: 200

# Define how long is one logging interval (in seconds)
log_interval: 3600

# ----------------------------------------------------------------------
# Enable / Disable python.d.plugin modules
#default_run: yes
#
# If "default_run" = "yes" the default for all modules is enabled (yes).
# Setting any of these to "no" will disable it.
#
# If "default_run" = "no" the default for all modules is disabled (no).
# Setting any of these to "yes" will enable it.

# Enable / Disable explicit garbage collection (full collection run). Default is enabled.
gc_run: yes

# Garbage collection interval in seconds. Default is 300.
gc_interval: 300

apache: {{ (groups['webserver'] is defined and inventory_hostname in groups['webserver'])|ternary("yes", "no") }}
apache_cache: no
beanstalk: yes
bind_rndc: yes
boinc: yes
ceph: yes
chrony: no
couchdb: yes
cpufreq: yes
cpuidle: yes
dns_query_time: yes
dnsdist: yes
dovecot: no
elasticsearch: {{ (groups['logserver'] is defined and inventory_hostname in groups['logserver'])|ternary("yes", "no") }}
example: no
exim: no
fail2ban: yes
freeradius: yes
go_expvar: no
gunicorn_log: no
haproxy: {{ (groups['proxyserver'] is defined and inventory_hostname in groups['proxyserver'])|ternary("yes", "no") }}
hddtemp: yes
icecast: yes
ipfs: yes
isc_dhcpd: yes
linux_power_supply: yes
litespeed: yes
logind: no
mdstat: yes
memcached: {{ (groups['webserver'] is defined and inventory_hostname in groups['webserver'])|ternary("yes", "no") }}
mongodb: {{ ((groups['dbserver-mongodb'] is defined and inventory_hostname in groups['dbserver-mongodb']) or (groups['uptime'] is defined and inventory_hostname in groups['uptime']))|ternary("yes", "no") }}
monit: no
mysql: {{ (groups['dbserver_mysql'] is defined and inventory_hostname in groups['dbserver_mysql'])|ternary("yes", "no") }}
nginx: no
nginx_log: no
nginx_plus: no
nsd: yes
ntpd: yes
ovpn_status_log: yes
phpfpm: {{ (groups['webserver'] is defined and inventory_hostname in groups['webserver'])|ternary("yes", "no") }}
postfix: yes
postgres: yes
powerdns: yes
proxysql: yes
puppet: yes
rabbitmq: yes
redis: {{ (groups['webserver'] is defined and inventory_hostname in groups['webserver'])|ternary("yes", "no") }}
rethinkdbs: yes
retroshare: yes
samba: yes
sensors: yes
smartd_log: yes
spigotmc: yes
springboot: yes
squid: no
tomcat: yes
unbound: no
uwsgi: yes
varnish: {{ (groups['varnishserver'] is defined and inventory_hostname in groups['varnishserver'])|ternary("yes", "no") }}
w1sensor: yes
web_log: no
